package PureMessage::Manager::Response::Policy::Repository;
use PureMessage::Sieve qw(sieve_parse_file sieve_print sieve_node sieve_text);
use PureMessage::Manager::Utils qw (html_escape);
use PureMessage::Version qw($PREFIX);
use PureMessage::Manager::Policy qw(MIDDLE_COL RIGHT_COL add_cmd_before);
use strict;
use PureMessage::Manager::Response::Policy;
use PureMessage::Manager::Request;
use PureMessage::Manager::Widget::ToolBar;
use PureMessage::Manager::Widget::Dialog;
use PureMessage::Manager::Widget;
use File::Basename qw(basename dirname);


our  @ISA = ('PureMessage::Manager::Response::Policy');

sub new {
    my $proto = shift;
    my $self = $proto->SUPER::new(@_);
    return $self;
}

sub save_clip {
    my $self = shift;
    my $lines = shift;
    $self->init_file();
    if ( open FV, ">$self->{clp_file}") {
        print FV $lines;
        close FV;
    } else {
        $self->raise_error("Unable to save to clip file");
    }
}

1;
