#!/tmp/.ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZpErLZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZperl/bin/perl
use ActiveState::Config;
use PureMessage::Manager::Request qw($REQUEST %in %text);
use PureMessage::Manager::Response::Policy;
use PureMessage::Manager::Widget;
use PureMessage::Manager::Response::Backup;
#use HTML::Template;

use strict;
my $WIDGET = new PureMessage::Manager::Widget;

my $r = $REQUEST->get_response(
        'PureMessage::Manager::Response::Policy',
        'stderr_to_stdout' =>1,
);

$r->add_help(text => "Help", tab => "pol", page => "mgr_pol_over" );

$r->title('Rules');

$r->{REQUEST} = $REQUEST;
my $file = "etc/policy.siv";
PureMessage::Manager::Response::Backup::Dialog($r, $file, "Policy Rules");

eval {
    require PureMessage::Manager::Response::ServerGroups::Publications;
    $r->print(PureMessage::Manager::Response::ServerGroups::Publications::Publish($file, "Policy Script")); 
    $r->print("<img src='/img/x.gif' height=4>"); # this is a spacer
};

my $view;
my $menu = '<a href="?source=0">go to constructor mode</a><br>';

if ( $REQUEST->query('source') ) {
    $r->print();
    $view = $r->show_source;
}
elsif ( $REQUEST->query('editsource') ) {
    $view = $r->edit_source;
}
elsif ( $REQUEST->query('savesource') ) {
    $r->save_source;
    $view = $r->show_source;
}
elsif ( $REQUEST->query('diff') ) {
    $view = $r->show_diff;
}
else {
   
    $menu = '<a href="?source=1">see the source</a>';
    $menu .= '<BR>';
    $view = $r->show_rules;
}

$r->print($r->{commit_dlg} || "");
$r->print("<br>");
$r->print("<table width='100%'><tr><td align='right'>$menu</td></tr></table>");
$r->print($view);

$r->send();

