package PureMessage::Manager::Response::Policy::SideBars;
use PureMessage::List;
use PureMessage::Map;
use PureMessage::Manager::Widget;

sub ListsBar {
    my $RESPONSE = shift;
    my @menu;
    for (PureMessage::List->Available) {
        push @menu, { type=>'text', text=>$_->{name}, href=>"/Policy/edit_list.cgi?id=$_->{id}" };
    }
    push @menu, { type=>'text', text=>"manage...", href=>"/Policy/lists.cgi?show_only=list" };
    my $top_tb = button({type=>'image', 
                         icon=>'add_plus',
                         text=>"New", 
                         href=>"/Policy/add_list.cgi?list_type=list" }, style=>"reverse");
    $RESPONSE->add_taskmenu({ title => 'Lists', buttons => [ \@menu ], tb=>$top_tb});

    my @maps;
    for (PureMessage::Map->Available) {
        push @maps, { type=>'text', text=>$_->{name}, href=>"/Policy/edit_map.cgi?id=$_->{id}" };
    }
    push @maps, { type=>'text', text=>"manage...", href=>"/Policy/lists.cgi?show_only=map" };
    $top_tb = button({type=>'image', 
                         icon=>'add_plus',
                         text=>"New", 
                         href=>"/Policy/add_list.cgi?list_type=map" }, style=>"reverse");
    $RESPONSE->add_taskmenu({ title => 'Address Maps', buttons => [ \@maps ], tb=>$top_tb });

}

1;
